.megaNav {
    z-index: 100;
    background: white;
    max-height: 70vh;
    overflow-y: scroll;
    width: 100%;
}

@media (max-width: 768px) {
    .megaNav {
        width: 100%;
    }
}

/*.megaNav::-webkit-scrollbar {*/
/*    display: none;*/
/*}*/

.megaNav .megaNavItem {
    display: flex;
    flex-direction: column;
    padding: .325rem;
    width: 100%;
    color: #6e838d;
}

.megaNav .megaNavItem label {
    display: inline-flex;
    align-items: center;
    cursor: pointer;
    font-size: .75rem;
    margin: 0;
}

.megaNav .megaNavItem ul {
    padding: .25rem .25rem 0 0;
    margin: 0;
    display: none;
}

.megaNav .megaNavItem input:checked ~ ul {
    display: flex;
}

.megaNav .megaNavItem .megaNavItemIcon {
    transition: all .3s ease;
}

.megaNav .megaNavItem input:checked ~ label .megaNavItemIcon {
    transform: rotate(-90deg);
    transition: all .3s ease;
}

.megaNav .megaNavItem label {
    color: #6e838d;
}

.megaNav .megaNavItem input:checked ~ label {
    color: #98a6ae;
}